1. Packages
  2. Packages
  3. Azure Native
  4. API Docs
  5. web
  6. WebAppHybridConnectionSlot
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.23.0
published on Saturday, Jul 18, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.23.0
published on Saturday, Jul 18, 2026 by Pulumi

    Hybrid Connection contract. This is used to configure a Hybrid Connection.

    Uses Azure REST API version 2025-05-01. In version 2.x of the Azure Native provider, it used API version 2022-09-01.

    Other available API versions: 2016-08-01, 2018-02-01, 2018-11-01, 2019-08-01, 2020-06-01, 2020-09-01, 2020-10-01, 2020-12-01, 2021-01-01, 2021-01-15, 2021-02-01, 2021-03-01, 2022-03-01, 2022-09-01, 2023-01-01, 2023-12-01, 2024-04-01, 2024-11-01, 2025-03-01, 2026-03-01-preview, 2026-03-15. These can be accessed by generating a local SDK package using the CLI command pulumi package add azure-native web [ApiVersion]. See the version guide for details.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:web:WebAppHybridConnectionSlot myresource1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/hybridConnectionNamespaces/{namespaceName}/relays/{relayName} 
    

    Create WebAppHybridConnectionSlot Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new WebAppHybridConnectionSlot(name: string, args: WebAppHybridConnectionSlotArgs, opts?: CustomResourceOptions);
    @overload
    def WebAppHybridConnectionSlot(resource_name: str,
                                   args: WebAppHybridConnectionSlotArgs,
                                   opts: Optional[ResourceOptions] = None)
    
    @overload
    def WebAppHybridConnectionSlot(resource_name: str,
                                   opts: Optional[ResourceOptions] = None,
                                   resource_group_name: Optional[str] = None,
                                   slot: Optional[str] = None,
                                   name: Optional[str] = None,
                                   namespace_name: Optional[str] = None,
                                   relay_name: Optional[str] = None,
                                   relay_arm_uri: Optional[str] = None,
                                   hostname: Optional[str] = None,
                                   port: Optional[int] = None,
                                   send_key_name: Optional[str] = None,
                                   send_key_value: Optional[str] = None,
                                   service_bus_namespace: Optional[str] = None,
                                   service_bus_suffix: Optional[str] = None,
                                   kind: Optional[str] = None)
    func NewWebAppHybridConnectionSlot(ctx *Context, name string, args WebAppHybridConnectionSlotArgs, opts ...ResourceOption) (*WebAppHybridConnectionSlot, error)
    public WebAppHybridConnectionSlot(string name, WebAppHybridConnectionSlotArgs args, CustomResourceOptions? opts = null)
    public WebAppHybridConnectionSlot(String name, WebAppHybridConnectionSlotArgs args)
    public WebAppHybridConnectionSlot(String name, WebAppHybridConnectionSlotArgs args, CustomResourceOptions options)
    
    type: azure-native:web:WebAppHybridConnectionSlot
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "azure-native_web_web_app_hybrid_connection_slot" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args WebAppHybridConnectionSlotArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args WebAppHybridConnectionSlotArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args WebAppHybridConnectionSlotArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args WebAppHybridConnectionSlotArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args WebAppHybridConnectionSlotArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var webAppHybridConnectionSlotResource = new AzureNative.Web.WebAppHybridConnectionSlot("webAppHybridConnectionSlotResource", new()
    {
        ResourceGroupName = "string",
        Slot = "string",
        Name = "string",
        NamespaceName = "string",
        RelayName = "string",
        RelayArmUri = "string",
        Hostname = "string",
        Port = 0,
        SendKeyName = "string",
        SendKeyValue = "string",
        ServiceBusNamespace = "string",
        ServiceBusSuffix = "string",
        Kind = "string",
    });
    
    example, err := web.NewWebAppHybridConnectionSlot(ctx, "webAppHybridConnectionSlotResource", &web.WebAppHybridConnectionSlotArgs{
    	ResourceGroupName:   pulumi.String("string"),
    	Slot:                pulumi.String("string"),
    	Name:                pulumi.String("string"),
    	NamespaceName:       pulumi.String("string"),
    	RelayName:           pulumi.String("string"),
    	RelayArmUri:         pulumi.String("string"),
    	Hostname:            pulumi.String("string"),
    	Port:                pulumi.Int(0),
    	SendKeyName:         pulumi.String("string"),
    	SendKeyValue:        pulumi.String("string"),
    	ServiceBusNamespace: pulumi.String("string"),
    	ServiceBusSuffix:    pulumi.String("string"),
    	Kind:                pulumi.String("string"),
    })
    
    resource "azure-native_web_web_app_hybrid_connection_slot" "webAppHybridConnectionSlotResource" {
      lifecycle {
        create_before_destroy = true
      }
      resource_group_name   = "string"
      slot                  = "string"
      name                  = "string"
      namespace_name        = "string"
      relay_name            = "string"
      relay_arm_uri         = "string"
      hostname              = "string"
      port                  = 0
      send_key_name         = "string"
      send_key_value        = "string"
      service_bus_namespace = "string"
      service_bus_suffix    = "string"
      kind                  = "string"
    }
    
    var webAppHybridConnectionSlotResource = new WebAppHybridConnectionSlot("webAppHybridConnectionSlotResource", WebAppHybridConnectionSlotArgs.builder()
        .resourceGroupName("string")
        .slot("string")
        .name("string")
        .namespaceName("string")
        .relayName("string")
        .relayArmUri("string")
        .hostname("string")
        .port(0)
        .sendKeyName("string")
        .sendKeyValue("string")
        .serviceBusNamespace("string")
        .serviceBusSuffix("string")
        .kind("string")
        .build());
    
    web_app_hybrid_connection_slot_resource = azure_native.web.WebAppHybridConnectionSlot("webAppHybridConnectionSlotResource",
        resource_group_name="string",
        slot="string",
        name="string",
        namespace_name="string",
        relay_name="string",
        relay_arm_uri="string",
        hostname="string",
        port=0,
        send_key_name="string",
        send_key_value="string",
        service_bus_namespace="string",
        service_bus_suffix="string",
        kind="string")
    
    const webAppHybridConnectionSlotResource = new azure_native.web.WebAppHybridConnectionSlot("webAppHybridConnectionSlotResource", {
        resourceGroupName: "string",
        slot: "string",
        name: "string",
        namespaceName: "string",
        relayName: "string",
        relayArmUri: "string",
        hostname: "string",
        port: 0,
        sendKeyName: "string",
        sendKeyValue: "string",
        serviceBusNamespace: "string",
        serviceBusSuffix: "string",
        kind: "string",
    });
    
    type: azure-native:web:WebAppHybridConnectionSlot
    properties:
        hostname: string
        kind: string
        name: string
        namespaceName: string
        port: 0
        relayArmUri: string
        relayName: string
        resourceGroupName: string
        sendKeyName: string
        sendKeyValue: string
        serviceBusNamespace: string
        serviceBusSuffix: string
        slot: string
    

    WebAppHybridConnectionSlot Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The WebAppHybridConnectionSlot resource accepts the following input properties:

    Name string
    The name of the web app.
    NamespaceName string
    The namespace for this hybrid connection.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    Slot string
    The name of the slot for the web app.
    Hostname string
    The hostname of the endpoint.
    Kind string
    Kind of resource.
    Port int
    The port of the endpoint.
    RelayArmUri string
    The ARM URI to the Service Bus relay.
    RelayName string
    The name of the Service Bus relay.
    SendKeyName string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    SendKeyValue string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    ServiceBusNamespace string
    The name of the Service Bus namespace.
    ServiceBusSuffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    Name string
    The name of the web app.
    NamespaceName string
    The namespace for this hybrid connection.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    Slot string
    The name of the slot for the web app.
    Hostname string
    The hostname of the endpoint.
    Kind string
    Kind of resource.
    Port int
    The port of the endpoint.
    RelayArmUri string
    The ARM URI to the Service Bus relay.
    RelayName string
    The name of the Service Bus relay.
    SendKeyName string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    SendKeyValue string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    ServiceBusNamespace string
    The name of the Service Bus namespace.
    ServiceBusSuffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    name string
    The name of the web app.
    namespace_name string
    The namespace for this hybrid connection.
    resource_group_name string
    The name of the resource group. The name is case insensitive.
    slot string
    The name of the slot for the web app.
    hostname string
    The hostname of the endpoint.
    kind string
    Kind of resource.
    port number
    The port of the endpoint.
    relay_arm_uri string
    The ARM URI to the Service Bus relay.
    relay_name string
    The name of the Service Bus relay.
    send_key_name string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    send_key_value string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    service_bus_namespace string
    The name of the Service Bus namespace.
    service_bus_suffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    name String
    The name of the web app.
    namespaceName String
    The namespace for this hybrid connection.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    slot String
    The name of the slot for the web app.
    hostname String
    The hostname of the endpoint.
    kind String
    Kind of resource.
    port Integer
    The port of the endpoint.
    relayArmUri String
    The ARM URI to the Service Bus relay.
    relayName String
    The name of the Service Bus relay.
    sendKeyName String
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    sendKeyValue String
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    serviceBusNamespace String
    The name of the Service Bus namespace.
    serviceBusSuffix String
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    name string
    The name of the web app.
    namespaceName string
    The namespace for this hybrid connection.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    slot string
    The name of the slot for the web app.
    hostname string
    The hostname of the endpoint.
    kind string
    Kind of resource.
    port number
    The port of the endpoint.
    relayArmUri string
    The ARM URI to the Service Bus relay.
    relayName string
    The name of the Service Bus relay.
    sendKeyName string
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    sendKeyValue string
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    serviceBusNamespace string
    The name of the Service Bus namespace.
    serviceBusSuffix string
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    name str
    The name of the web app.
    namespace_name str
    The namespace for this hybrid connection.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    slot str
    The name of the slot for the web app.
    hostname str
    The hostname of the endpoint.
    kind str
    Kind of resource.
    port int
    The port of the endpoint.
    relay_arm_uri str
    The ARM URI to the Service Bus relay.
    relay_name str
    The name of the Service Bus relay.
    send_key_name str
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    send_key_value str
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    service_bus_namespace str
    The name of the Service Bus namespace.
    service_bus_suffix str
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net
    name String
    The name of the web app.
    namespaceName String
    The namespace for this hybrid connection.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    slot String
    The name of the slot for the web app.
    hostname String
    The hostname of the endpoint.
    kind String
    Kind of resource.
    port Number
    The port of the endpoint.
    relayArmUri String
    The ARM URI to the Service Bus relay.
    relayName String
    The name of the Service Bus relay.
    sendKeyName String
    The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.
    sendKeyValue String
    The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.
    serviceBusNamespace String
    The name of the Service Bus namespace.
    serviceBusSuffix String
    The suffix for the service bus endpoint. By default this is .servicebus.windows.net

    Outputs

    All input properties are implicitly available as output properties. Additionally, the WebAppHybridConnectionSlot resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    Id string
    The provider-assigned unique ID for this managed resource.
    SystemData Pulumi.AzureNative.Web.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    Id string
    The provider-assigned unique ID for this managed resource.
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version string
    The Azure API version of the resource.
    id string
    The provider-assigned unique ID for this managed resource.
    system_data object
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    id String
    The provider-assigned unique ID for this managed resource.
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    id string
    The provider-assigned unique ID for this managed resource.
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    id str
    The provider-assigned unique ID for this managed resource.
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    id String
    The provider-assigned unique ID for this managed resource.
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    created_at string
    The timestamp of resource creation (UTC).
    created_by string
    The identity that created the resource.
    created_by_type string
    The type of identity that created the resource.
    last_modified_at string
    The timestamp of resource last modification (UTC)
    last_modified_by string
    The identity that last modified the resource.
    last_modified_by_type string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.23.0
    published on Saturday, Jul 18, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial